Subject: Re: bug#75080: guix pull fails on arm64 due to cmake DEB self-tests
From: Simon Josefsson <[email-masked]>
To: "Leo Famulari" <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Tue, 04 Mar 2025 13:11:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

"Leo Famulari" <[email-masked]> writes:

> On Wed, Feb 26, 2025, at 03:41, Simon Josefsson wrote:
>> Hi.  What do you mean by disabled isolation?  In the initial e-mail I
>> quoted the set of commands used which involved:
>>
>> (guix-daemon --disable-chroot --build-users-group=_guixbuild &
>>
>> Is that what you mean?
>
> Yes, I'm sorry I missed that and made you spell it out!
>
>> Is building things without build isolation not supposed to work?
>
> Not really. We do accept help patching upstream build scripts to fix
> issues like this one, but I don't think anyone is regularly testing
> Guix without the build chroot, and the warranty is definitely void
> when Guix is used this way. I think that countless build will break
> without the chroot, as build scripts will look for dependencies in the
> "wrong" (i.e. non-Guixy) places.

Thank you for explaining!  These internal things are still rather
sktechy to me.  It makes perfect sense now that I see it this way.

Fortunately it seems that building images without --disable-chroot now
appears to work for me (at least some of the time).  Here is a
successful arm64 Guix GitLab pipeline job where 'guix install' works:

https://gitlab.com/debdistutils/guix/container-selftests/-/jobs/9305446937

That container image was built from a pure Guix container image, which
in turn was built from a Debian+Guix container image.

So I think my original request was simply a misunderstanding, closing...

/Simon